import {select, arc} from 'd3';

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);

const circle  = g.append('circle')
	.attr('r', height / 2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const yOffset = -70;
const eyeRadius = 30;

const eyesGroup = g.append('g')
	.attr('transform', `translate(0, ${yOffset})`);

const leftEye  = eyesGroup.append('circle')
	.attr('r', eyeRadius)
	.attr('cx', -eyeSpacing)
	.attr('fill', 'black')
	.attr('stroke', 'black');

const rightEye  = eyesGroup.append('circle')
	.attr('r', eyeRadius)
	.attr('cx', eyeSpacing)
	.attr('fill', 'black')
	.attr('stroke', 'black');

const eyeBrowWidth = 70;
const eyeBrowHeight = 15;
const eyeBrowYoffset = -60;


const eyesBrowGroup = eyesGroup.append('g')
	.attr('transform', `translate(0, ${eyeBrowYoffset})`);
	
eyesBrowGroup.transition()
		.duration(2000)
		.attr('transform', `translate(0, ${eyeBrowYoffset - 50 })`)
	.transition()
		.duration(2000)
		.attr('transform', `translate(0, ${eyeBrowYoffset})`);

const leftEyeBrow = eyesBrowGroup
	.append('rect')
		.attr('x', -eyeSpacing - eyeBrowWidth/2)
		.attr('width', eyeBrowWidth)
		.attr('height', eyeBrowHeight);

const rightEyeBrow = eyesBrowGroup.append('rect')
		.attr('x', eyeSpacing - eyeBrowWidth/2)
		.attr('width', eyeBrowWidth)
		.attr('height', eyeBrowHeight)


const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius : 80,
    outerRadius : 100,
    startAngle : Math.PI / 2,
    endAngle : Math.PI /  2 * 3
  }) )